LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XDOMImplementation Interface Reference

`import"XDOMImplementation.idl";`

Inheritance diagram for XDOMImplementation:

## Public Member Functions
XDocument | createDocument ([in] string namespaceURI, [in] string qualifiedName, [in] XDocumentType doctype) raises (DOMException)
| Creates a DOM Document object of the specified type with its document element. More...
XDocumentType | createDocumentType ([in] string qualifiedName, [in] string publicId, [in] string systemId) raises (DOMException)
| Creates an empty DocumentType node. More...
boolean | hasFeature ([in] string feature, [in] string ver)
| Test if the DOM implementation implements a specific feature. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ createDocument()

XDocument createDocument | ( | [in] string | namespaceURI,
|  | [in] string | qualifiedName,
|  | [in] XDocumentType | doctype
| ) |  |
raises | ( | DOMException
| ) |  |

Creates a DOM Document object of the specified type with its document element.

Throws: DOMException - INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character. NAMESPACE_ERR: Raised if the qualifiedName is malformed, if the qualifiedName has a prefix and the namespaceURI is null, or if the qualifiedName has a prefix that is "xml" and the namespaceURI is different from " http://www.w3.org/XML/1998/namespace" , or if the DOM implementation does not support the "XML" feature but a non-null namespace URI was provided, since namespaces were defined by XML. WRONG_DOCUMENT_ERR: Raised if doctype has already been used with a different document or was created from a different implementation. NOT_SUPPORTED_ERR: May be raised by DOM implementations which do not support the "XML" feature, if they choose not to support this method. Other features introduced in the future, by the DOM WG or in extensions defined by other groups, may also demand support for this method; please consult the definition of the feature to see if it requires this method.

## ◆ createDocumentType()

XDocumentType createDocumentType | ( | [in] string | qualifiedName,
|  | [in] string | publicId,
|  | [in] string | systemId
| ) |  |
raises | ( | DOMException
| ) |  |

Creates an empty DocumentType node.

Throws: DOMException - INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character. NAMESPACE_ERR: Raised if the qualifiedName is malformed. NOT_SUPPORTED_ERR: May be raised by DOM implementations which do not support the "XML" feature, if they choose not to support this method. Other features introduced in the future, by the DOM WG or in extensions defined by other groups, may also demand support for this method; please consult the definition of the feature to see if it requires this method.

## ◆ hasFeature()

boolean hasFeature | ( | [in] string | feature,
|  | [in] string | ver
| ) |  |

Test if the DOM implementation implements a specific feature.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/dom/XDOMImplementation.idl